Subject: Re: [IPFIX] new work items for the IPFIX charter

From: Nevil Brownlee <[email-masked]>
Date: Wed, 19 Aug 2009 10:55:04 +1200

Hi all:

I think that all three of these should be accepted as new
work items for IPFIX.

Cheers, Nevil

Juergen Quittek wrote:
> Dear all,
> 
> At our session on Monday there were three drafts presented
> for which there was a consensus to accept them as working
> group documents. Now we need confirmation on this list.
> 
> The drafts are
> 
>   - Export of Structured Data in IPFIX
>     http://tools.ietf.org/html/draft-claise-structured-data-in-ipfix
>   - IP Flow Anonymisation Support
>     http://tools.ietf.org/html/draft-boschi-ipfix-anon
>   - Flow Selection Techniques
>     http://tools.ietf.org/html/draft-peluso-flowselection-tech
> 
> If you see any problem with adding these three items to the
> IPFIX agenda, please make your point on this list within the
> next two weeks.
> 
> Thanks,
> 
>     Juergen 

-- 
---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand

---

From: "Juergen Quittek" <[email-masked]>
Date: Wed, 26 Aug 2009 11:56:55 +0200

Dear all,

I have not received any concern about adding these items to our agenda.
We have consensus and can request an update of our charter.

Below please find a first draft of the new charter items and milestones.
Please review them and provide your comments.

Thanks,

    Juergen

-- Anonymization of flow information has been identified as a
requirement for flow information export already in RFC 3917. However,
technologies for flow anonymization are still a research issue and have
so far not been considered to be mature enough for standardization.
As one step in this direction, the IPFIX WG will develop guidelines for
the implementation of anonymised data export and storage over IPFIX
and define an information model for configuring and reporting
anonymization applied at IPFIX devices.

-- The IPFIX and PSAMP WGs have defined standards for selecting
observed IP packets and collecting information in flow records.
In order to reduce the amount of data to be processed, packet selection
methods have been defined. Another method for reducing flow data is flow
selection. The IPFIX WG will define methods for flow selection and provide
an information model for configuring and reporting flow selection applied
at IPFIX devices.

-- Being designed for the export of flow records the IPFIX protocol
provides very limited means for structuring information elements within
IPFIX records. With the increasing number of IPFIX applications there is
a need for exporting more complex information. The IPFIX WG will develop
an extension of the IPFIX protocol that supports hierarchically structured
data and lists (sequences) of Information Elements in data records.

Oct 2009   Submit initial draft on anonymization support
Oct 2009   Submit initial draft on flow selection
Oct 2009   Submit initial draft on structuring information elements
Jun 2010   Submit anonymization support I-D to IESG for publication
           as Experimental RFC
Jun 2010   Submit flow selection I-D to IESG for publication
           as Standards Track RFC
Jun 2010   Submit structuring information elements I-D to IESG
           for publication as Standards Track RFC

On 30.07.09 14:40  "Juergen Quittek" <[email-masked]> wrote:

>   - Export of Structured Data in IPFIXDear
> _______________________________________________
> IPFIX mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipfix

---

From: "Zseby, Tanja" <[email-masked]>
Date: Wed, 26 Aug 2009 13:09:29 +0200

Hi Juergen,

the description looks good for me.

Kind regards
Tanja

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] [mailto:[email-masked]] Im Auftrag
> von Juergen Quittek
> Gesendet: Mittwoch, 26. August 2009 11:57
> An: IETF IPFIX Working Group
> Betreff: Re: [IPFIX] new work items for the IPFIX charter
> 
> Dear all,
> 
> the implementation of anonymised data export and storage over IPFIX and
> define an information model for configuring and reporting anonymization
> applied at IPFIX devices.
> 
> methods have been defined. Another method for reducing flow data is
> flow selection. The IPFIX WG will define methods for flow selection and
> provide an information model for configuring and reporting flow
> selection applied at IPFIX devices.
> 
> IPFIX records. With the increasing number of IPFIX applications there
> is a need for exporting more complex information. The IPFIX WG will
> develop an extension of the IPFIX protocol that supports hierarchically
> structured data and lists (sequences) of Information Elements in data
> records.
> 
> 
> > At our session on Monday there were three drafts presented for which
> > there was a consensus to accept them as working group documents. Now
> > we need confirmation on this list.
> >
> > The drafts are
> >
> > If you see any problem with adding these three items to the IPFIX
> > agenda, please make your point on this list within the next two
> weeks.
> >
> > Thanks,
> >
> >     Juergen
> >
> >
> >

---

From: Benoit Claise <[email-masked]>
Date: Thu, 27 Aug 2009 13:01:08 +0200

Juergen,

This looks good.

Regards, Benoit.
>> ------------------------------------------------------------------------
>>